Bug 20690 - Spurious cursor visibility change in gnome-terminal.
Summary: Spurious cursor visibility change in gnome-terminal.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Dale Lovelace
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-12 00:15 UTC by Sam Varshavchik
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-13 02:21:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Demonstration shell script - run in a gnome-terminal window. (441 bytes, text/plain)
2000-11-12 00:16 UTC, Sam Varshavchik
no flags Details

Description Sam Varshavchik 2000-11-12 00:15:00 UTC
The attached shell script turns off cursor visibility (terminfo's "civis")
, sequence ESC [?25l

However, the subsequent escape sequences printed by the example script will
result in the cursor reappearing after the word "seen:".  The shell script
does not explicitly change cursor visibility, though.

This behavior is exhibited only in gnome-terminal, and it screws up a lot
of ncurses applications.

Neither xterm, nor rxvt, exhibit this behavior (the cursor remains in
invisible state throughout the entire demonstration).

Comment 1 Sam Varshavchik 2000-11-12 00:16:19 UTC
Created attachment 5259 [details]
Demonstration shell script - run in a gnome-terminal window.

Comment 2 Havoc Pennington 2000-11-13 02:19:54 UTC
Forwarding bug upstream


Comment 3 Havoc Pennington 2001-07-12 20:15:21 UTC
Sent upstream as: http://bugzilla.gnome.org/show_bug.cgi?id=57458

Closing on Red Hat level.


Note You need to log in before you can comment on or make changes to this bug.